package com.gic.haoban.manage.service.pojo.bo.welcome;

/**
 * desc：加好友配置bo
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
public class FriendSettingDetailBO {
    /**
     * 加好友配置id
     */
    private Long friendSettingId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语配置类型 ：
     * 1 发送好办欢迎语文案+小程序卡片(附带导购参数)
     * 2 发送好办欢迎语文案+公众号二维码(附带导购参数)
     * 3 发送好办欢迎语文案
     * 4 不发送好办欢迎语，用企微欢迎语
     * @see com.gic.haoban.manage.api.enums.FriendSettingTypeEnum
     */
    private Integer friendSettingType;

    public Long getFriendSettingId() {
        return friendSettingId;
    }

    public void setFriendSettingId(Long friendSettingId) {
        this.friendSettingId = friendSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getFriendSettingType() {
        return friendSettingType;
    }

    public void setFriendSettingType(Integer friendSettingType) {
        this.friendSettingType = friendSettingType;
    }

    @Override
    public String toString() {
        return "FriendSettingDetailBO{" +
                "friendSettingId=" + friendSettingId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", friendSettingType=" + friendSettingType +
                '}';
    }
}
